mail[Wesnoth-commits] r28447 - /trunk/SConstruct


Others Months | Index by Date | Thread Index
>>   [Date Prev] [Date Next] [Thread Prev] [Thread Next]

Header


Content

Posted by loonycyborg on August 11, 2008 - 06:43:
Author: loonycyborg
Date: Sun Aug 10 20:30:56 2008
New Revision: 28447

URL: http://svn.gna.org/viewcvs/wesnoth?rev=28447&view=rev
Log:
Unit tests require all game and server's dependencies. Reflected this in 
scons recipe.

Modified:
    trunk/SConstruct

Modified: trunk/SConstruct
URL: 
http://svn.gna.org/viewcvs/wesnoth/trunk/SConstruct?rev=28447&r1=28446&r2=28447&view=diff
==============================================================================
--- trunk/SConstruct (original)
+++ trunk/SConstruct Sun Aug 10 20:30:56 2008
@@ -215,7 +215,7 @@
 
     have_server_prereqs = conf.CheckSDL('SDL_net') or Warning("Server 
prerequisites are not met. wesnothd and campaignd cannot be built.")
 
-    have_test_prereqs =  conf.CheckBoost('unit_test_framework', 
require_version = "1.34.0") or Warning("Boost test not found. Disabling unit 
tests.")
+    have_test_prereqs =  have_client_prereqs and have_server_prereqs and 
conf.CheckBoost('unit_test_framework', require_version = "1.34.0") or 
Warning("Unit tests are disabled because their prerequisites are not met.")
 
     if env["python"]:
         env["python"] = (float(sys.version[:3]) >= 2.4) and 
conf.CheckPython() or Warning("Python >= 2.4 not found. Python extensions 
will be disabled.")




Related Messages


Powered by MHonArc, Updated Mon Aug 11 08:41:37 2008